- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TMysqlMetaData
TSqliteMetaData

Keyword

# Class TSqliteMetaData

    TComponent
       |
       --TDbMetaData
          |
          --TSqliteMetaData

TSqliteMetaData loads SQLite database table and column information.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
protected TPgsqlTableInfo | createTableInfo ( string $tableName) Get the column definitions for given table.
protected array | getForeignKeys ( string $table)
protected boolean | getIsView ( string $tableName)
protected string | getTableInfoClass ()
protected boolean | isForeignKeyColumn ( string $columnId, array $foreign)
protected TSqliteTableColumn | processColumn ( array $col, array $foreign)

Methods Inherited From TDbMetaData
TDbMetaData::createCommandBuilder(), TDbMetaData::getDbConnection(), TDbMetaData::getInstance(), TDbMetaData::getTableInfo(), TDbMetaData::getTableInfoClass()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## createTableInfo

protected TPgsqlTableInfo createTableInfo | (string $tableName )

Get the column definitions for given table.

Input
string | $tableName | table name.
Output
TPgsqlTableInfo | table information.
Exception

## getForeignKeys

protected array getForeignKeys | (string $table )

Input
string | $table | quoted table name.
Output
array | foreign key details.
Exception

## getIsView

protected boolean getIsView | (string $tableName )

Input
string | $tableName | table name.
Output
boolean | true if the table is a view.
Exception

## getTableInfoClass

protected string getTableInfoClass | ()

Output
string | TDbTableInfo class name.
Exception

## isForeignKeyColumn

protected boolean isForeignKeyColumn | (string $columnId , array $foreign )

Input
string | $columnId | column name.
array | $foreign | foreign key column names.
Output
boolean | true if column is a foreign key.
Exception

## processColumn

protected TSqliteTableColumn processColumn | (array $col , array $foreign )

Input
array | $col | column information.
array | $foreign | foreign key details.
Output
TSqliteTableColumn | column details.
Exception